<?php
/**
 * app/plugins/bugtracker/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP BugTracker
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use ReflectionClass;
use TheTempusProject\Classes\Installer;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Classes\Plugin;
use TheTempusProject\TheTempusProject as App;

class Bugtracker extends Plugin {
    public $pluginName = 'TP BugTracker';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = '';
    public $configName = 'bugtracker';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable Bug tracking.',
            'default' => true,
        ],
    ];
    public $permissionMatrix = [
        'bugTrack' => [
            'pretty' => 'Can Track Bugs',
            'default' => false,
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-bug"></i> Bug Tracker',
            'url' => '{ROOT_URL}admin/bugtracker',
        ],
    ];
}
