<?php
/**
 * app/plugins/notes/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP Notes
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use TheTempusProject\Classes\Plugin;
use TheTempusProject\Models\Notes as Note;
use TheTempusProject\Models\Notebooks;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Houdini\Classes\Template;

class Notes extends Plugin {
    public $pluginName = 'TP Notes';
    public $configName = 'notes';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = 'A simple plugin which adds a site wide notes system.';
    public $permissionMatrix = [
        'useNotes' => [
            'pretty' => 'Can use the notes feature',
            'default' => false,
        ],
    ];
    public $main_links = [
        [
            'text' => 'Notes',
            'url' => '{ROOT_URL}notes/index/',
            'filter' => 'loggedin',
        ],
    ];
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable Notes.',
            'default' => true,
        ],
    ];
    public $notes;
    public $notebooks;
    
    public function __construct( $load = false ) {
        // $this->notes = new Note;
        // $this->notebooks = new Notebooks;
        parent::__construct( $load );
    }
}
